!--------------------------------------------------------------------
!
!  Este programa calcula el producto vectorial de dos vectores de
!  dimension 3 que se indicaran a traves del teclado.
!   (Se omiten las tildes en los textos por pantalla)
!
!   Autores: J. París & Grupo de Métodos Numéricos en Ingeniería
!
!            Copyright:
!   Este programa es propiedad de sus autores.
!   No puede utilizarse con fines comerciales sin conocimiento
!   y autorización de sus autores.
!   Puede utilizarse con fines educativos sin ninguna restricción.
!
!--------------------------------------------------------------------

      program producto_vectorial
      implicit integer*4(i-n)
      implicit real*8(a-h,o-z)
      dimension u(3), v(3), w(3)

      write(6,'(/a/)')'Calculo del producto vectorial de dos vectores'

      write(6,*)' Indique las tres componentes del primer vector'
      do i=1,3
        read(5,*)u(i)
      enddo

      write(6,*)' Indique las tres componentes del segundo vector'
      do i=1,3
        read(5,*)v(i)
      enddo

      w(1)=u(2)*v(3)-u(3)*v(2)
      w(2)=u(3)*v(1)-u(1)*v(3)
      w(3)=u(1)*v(2)-u(2)*v(1)

      write(6,*)' El producto vectorial es: '

      do i=1,3
        write(6,'(a,i3,a,d15.6)')'w(',i,')=',w(i)
      enddo

      write(6,*)
      write(6,*)'Pulsa ENTER para finalizar el programa'
      read(5,*)   ! Se añade estas instrucciones para ejecutar el programa
                   ! haciendo doble-click en el fichero *.exe

      end


